/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef MOCK_PKGMGR_INFO_H_
#define MOCK_PKGMGR_INFO_H_

#include <pkgmgr-info.h>

#include "mock.h"

DECLARE_FAKE_VALUE_FUNC(int, pkgmgrinfo_pkginfo_get_usr_pkginfo, const char *,
		uid_t, pkgmgrinfo_pkginfo_h*);
DECLARE_FAKE_VALUE_FUNC(int, pkgmgrinfo_pkginfo_get_api_version,
		pkgmgrinfo_pkginfo_h, char **);
DECLARE_FAKE_VALUE_FUNC(int, pkgmgrinfo_pkginfo_is_global,
		pkgmgrinfo_pkginfo_h, bool *);
DECLARE_FAKE_VALUE_FUNC(int, pkgmgrinfo_pkginfo_destroy_pkginfo,
		pkgmgrinfo_pkginfo_h);
DECLARE_FAKE_VALUE_FUNC(int, pkgmgrinfo_appinfo_get_usr_appinfo, const char *,
		uid_t, pkgmgrinfo_appinfo_h*);
DECLARE_FAKE_VALUE_FUNC(int, pkgmgrinfo_appinfo_get_component_type,
    pkgmgrinfo_appinfo_h, char **);
DECLARE_FAKE_VALUE_FUNC(int, pkgmgrinfo_appinfo_destroy_appinfo,
    pkgmgrinfo_appinfo_h);


#endif //MOCK_PKGMGR_INFO_H_
