/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#include <glib.h>
#include <gio/gio.h>

/* display lock and unlock */
#define DEVICED_BUS_NAME "org.tizen.system.deviced"
#define DEVICED_PATH_DISPLAY		"/Org/Tizen/System/DeviceD/Display"
#define DEVICED_INTERFACE_DISPLAY	"org.tizen.system.deviced.display"
#define DEVICED_LOCK_STATE		"lockstate"
#define DEVICED_UNLOCK_STATE	"unlockstate"
#define DEVICED_DBUS_REPLY_TIMEOUT	(120*1000)
#define DEVICED_LCD_OFF		"lcdoff"
#define DEVICED_STAY_CUR_STATE	"staycurstate"
#define DEVICED_SLEEP_MARGIN		"sleepmargin"

bool _initialize_dbus(void);

void _alarm_send_noti_to_application_by_dbus(const char *app_service_name,
		alarm_id_t alarm_id, int msec, uid_t uid);

void _display_lock_state(char *state, char *flag, unsigned int timeout);
void _display_unlock_state(char *state, char *flag);

#ifdef __cplusplus
}
#endif

